JOHAB2SYLLABLES(1)

NAME
johab2syllables - Convert Unifont Johab 6/3/1 file to Hangul Syllables

SYNOPSIS
johab2syllables -i hangul-base.hex -o hangul-syllables.hex

DESCRIPTION
johab2syllables generates the modern Hangul Syllables Unicode range, U+AC00..U+D7A3, from an input Unifont .hex file encoded in Johab 6/3/1 format. This program demonstrates how to use functions in the unihangul-support.c file to map a Hangul Syllables code point to the choseong, jungseong, and jongseong Hangul Jamo that comprise each syllable.

This program is specifically designed to generate the Unicode Hangul Syllables range only, and does not shift final consonants (jongseong) if the vowel contains two long vertical strokes. For a more general program that uses the entire Hangul Jamo modern, ancient, and extended ancient ranges of U+1100..U+11FF, U+A960..U+A97F, and U+D7B0..D7FF, and which does shift jongseong right one column for vowels with two long vertical strokes on the right, see unigen-hangul(1). That program is used to generate the distributed Unifont Hangul Syllables range.

    Range
        Hangul

    1100-1112
        Modern initial consonants (choseong)

    1161-1175
        Modern medial vowels and diphthongs (jungseong)

    11A8-11C2
        Modern final consonants (jongseong).

OPTIONS

    Option
        Function

    -h, --help
        Print a help message and exit.

    -i input_file
        Unifont hangul-base.hex formatted input file.

    -o output_file
        Unifont .hex format output file.

EXAMPLES

    johab2syllables -i hangul-base.hex -o hangul-syllables.hex

    johab2syllables < hangul-base.hex > hangul-syllables.hex

FILES
Unifont .hex files in Johab 6/3/1 encoding. See unifont-johab631(5) for a description of the input file structure. This program uses functions contained in the file unihangul-support.c.

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-johab631(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigen-hangul(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexpose(1), unihexrotate(1), unijohab2html(1), unipagecount(1), unipng2hex(1)

AUTHOR
johab2syllables was written by Paul Hardy.

LICENSE
johab2syllables is Copyright © 2023 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known bugs exist.